- [HTTP request](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.request_body)
- [Response body](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.ListServicesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#body.aspect)
- [Examples](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#examples)
- [Try it!](https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#try-it)

Lists services in a project and location.

### HTTP request

`GET https://metastore.googleapis.com/v1alpha/{parent}/services`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The relative resource name of the location of metastore services to list, in the following form: `projects/{projectNumber}/locations/{locationId}`. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `metastore.services.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of services to return. The response may contain less than the maximum number. If unspecified, no more than 500 services are returned. The maximum value is 1000; values above 1000 are changed to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#google.cloud.metastore.v1alpha.DataprocMetastore.ListServices` call. Provide this token to retrieve the subsequent page. To retrieve the first page, supply an empty page token. When paginating, other parameters provided to `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#google.cloud.metastore.v1alpha.DataprocMetastore.ListServices` must match the call that provided the page token. |
| `filter` | `string` Optional. The filter to apply to list results. |
| `orderBy` | `string` Optional. Specify the ordering of results as described in [Sorting Order](https://cloud.google.com/apis/design/design_patterns#sorting_order). If not specified, the results will be sorted in the default order. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services/list#google.cloud.metastore.v1alpha.DataprocMetastore.ListServices`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "services": [ { object (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services#Service`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `services[]` | ``object (`https://docs.cloud.google.com/dataproc-metastore/docs/reference/rest/v1alpha/projects.locations.services#Service`)`` The services in the specified location. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Locations that could not be reached. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).